.TH RNAPDIST l
.ER
.SH NAME
RNApdist \- calculate distances of thermodynamic RNA secondary
structures ensembles
.SH SYNOPSIS
\fBRNApdist  [\-T\ temp] [\-4] [\-noGU] [\-e\ e_set] [\-Xp|m|f|c] [\-B\ [file]]

.SH DESCRIPTION
.I RNApdist
reads RNA sequences from stdin and calculates structure distances between
the thermodynamic ensembles of their secondary structures.
To do this the partition function and base pairing probability matrix
are computed, and for each base the probabilities of being unpaired,
paired upstream, and paired downstream, respectively, are obtained.
These profiles are compared by a standard alignment algorithm.
.SH OPTIONS
.IP \fB\-T\ \fItemp\fP
Rescale energy parameters to a temperature of \fItemp\fP C. Default is 37C.
.IP \fB\-4\fB
Do not include special stabilizing energies for certain tetraloops.
.IP \fB\-noGU\fB
Do not allow GU pairs.
.IP \fB\-e\ \fI1|2\fP\fB
Fold sequences from the artificial ABCD... alphabet, where A pairs B,
C-D etc.  Use the energy parameters for GC (-e 1) or AU (-e 2) pairs.
.IP -Xp
compare the structures pairwise (p), that is first with 2nd, third
with 4th etc. This is the default.
.IP -Xm
calculate the distance matrix between all structures. The output is
formatted as a lower triangle matrix.
.IP -Xf
compare each structure to the first one.
.IP -Xc
compare continuously, that is i-th with (i+1)th structure.
.IP -B\ [file]
Print an "alignment" with gaps of the profiles, using the following symbols:
.br
(  )  essentially upstream (downstream) paired bases
.br
{  }  weakly upstream (downstream) paired bases
.br
 |    strongly paired bases without preference
.br
 ,    weakly paired bases without preference
.br
 .    essentially unpaired bases.
.br

The aligned structures
are written to \fIfile\fP, if specified. Otherwise output is written
to stdout, unless the -Xm option is set in which case "backtrack.file"
is used. 
.SH REFERENCES
Bonhoeffer S, McCaskill J S, Stadler P F, Schuster P, (1993)
RNA multi-structure landscapes, Euro Biophys J, in press
.SH VERSION
This man page documents RNApdist  0.80.42  02/16/93
.SH AUTHORS
Peter F Stadler, Ivo L Hofacker, Sebastian Bonhoeffer.
.SH BUGS
We hoped you wouldn't find them.
Comments should be sent to ivo@tbi.univie.ac.at
.br

